0
votes
0answers
17 views

Is there some way to check before upgrade which of installed packages can be preserved?

I would like to upgrade from 12.10 to 14.04, but I would like to know which of installed packages/software could be preserved during the upgrade. Is there some way to check this?
0
votes
1answer
22 views

How to fix tons of broken packages

I apologize in advance for the poorly formated question: I don't know much about linux so I don't know what information to include. I was really lazy about upgrading, and up until yesterday, I was ...
0
votes
3answers
23 views

Compare two repos - a table of all all package versions?

I'd like to see and compare versions of all packages in two different repos. Something like: libfoo | 1.2 | 1.3 libbar | 2.4 | 3.0 libbaz | ... | ... Is there some such web? Or a way to obtain list ...
0
votes
0answers
59 views

When trying to upgrade to Ubuntu 14.04, libc6 breaks, why and how to solve this problem?

$ sudo apt-get install -f Reading package lists... Done Building dependency tree Reading state information... Done Correcting dependencies... Done The following packages were automatically ...
0
votes
1answer
22 views

unresolvable broken packages

I have been desperate to resolve this problem as I am not being able to install certain programs. my computer says that I have broken packages: The following packages have unmet dependencies: ...
-1
votes
1answer
27 views

Does upgrading to new version deletes my current package?

I want to upgrade to ubuntu 14.04 from 12.*. But i dont want to loose my currently installed packages. Does upgrading to new version deletes my current package?
0
votes
0answers
49 views

Depending on postgresql-plpython for every installed version of postgresql

I'm working on a project which gets installed as an Ubuntu package. This is part of the code for generating the database (modified): CREATE EXTENSION plpythonu; CREATE FUNCTION foo (str text) ...
0
votes
1answer
44 views

Remove optional ubuntu packages for speeding up release-upgrade [duplicate]

I have to update ubuntu 13 to ubuntu 14. When I issued release-upgrade it is showing that about 700 MB data is to be downloaded from internet. I have slow internet connection now. So it will take ...
0
votes
0answers
70 views

Problems in downloading and installing packages

I am a newbie in Ubuntu. I have installed 12.04 LTS in my laptop and it was moreover all fine. I want to install packages like wine,VLC,Chromium Browser,etc I was getting various error messages. 1). ...
0
votes
0answers
13 views

Upgrading PHP_CodeSniffer from Software Center

I have installed the PHP_CodeSniffer from Ubuntu Software Center, this gives me the version 1.1.0 What I'm trying to do is update it the latest stable version. Seeing this came from Software Center, ...
0
votes
0answers
19 views

How in the living hell can I install Wine on Ubuntu 14.04? [duplicate]

Ever since upgrading to Ubuntu 14.04, my genealogy programs stopped working; looked around, & other Windows emulator progs stopped working, as well. This is what I get when updating, then ...
2
votes
1answer
393 views

How to find packages when updating Ubuntu and creating standard source.list file

I just upgrade to Ubuntu 14.04 LTS, amd64. I'm trying to install some software and it says for Ubuntu 13.10 and above, the following libraries need to be installed for 32-bit compatibility ...
2
votes
1answer
57 views

How to get a summary of installed packages by repository and see differences from clean install?

I just upgraded several PC to Ubuntu Trusty 14.04. For this, I used to install everything from scratch to get a clean system, keeping only /home (and /etc for reference). This time however I upgraded ...
1
vote
2answers
102 views

apt-get does not install any programs or update after upgrade from 11.04 to 14.04 (LTS)

I've upgraded from 11.04 to 14.04 and I have some issues when using apt-get. Below is an example of what I get when trying to install mysql-server (same issue for any package installation): ~$: sudo ...
0
votes
1answer
57 views

Ubuntu packages search for trusty-updates ($CURRENTVERSION-updates)

I find the website http://packages.ubuntu.com/ quite useful when I am looking for information on packages (changelog, dependencies...). I do my upgrades at the command line and yesterday I was ...
0
votes
0answers
15 views

Upgraded from 13.10 to 14.04. Still only have 13.10 [duplicate]

Upgrade from 13.10 to 14.04 last night for 6 hours. I got sleepy and told the software "NO" to delete obsolete packages. So now after re-boot I still have 13.10. I assume that I still have those ...
2
votes
0answers
70 views

Software Updater fails to upgrade to 13.10 [duplicate]

I need help upgrading from 12.10 to 13.10. It's a little under a month to 14.04 but even sooner until support for 12.10 is dropped, so I decided to upgrade to 13.10 in the meantime. I used Software ...
0
votes
1answer
67 views

Reparing ubuntu installation using usb drive

I upgraded from ubuntu13.04 to ubuntu 13.10 and the process went very bad. Many packages were broken because my internet connection failed and now, when I turn my computer on, it is very slow and many ...
4
votes
1answer
84 views

Prevent packages 'on hold' to show up when I upgrade

I did sudo apt-mark hold nameofthepackage on 3 packages, but now I have an annoying remark when I upgrade with sudo apt-get upgrade : Following packages have been holded : package1 package2 ...
0
votes
1answer
127 views

apt-get update wanted to download much more MB worth of packages than the disk space will be used to install them

I installed Ubuntu 13.10 on VirtualBox, ran apt-get update, then apt-get upgrade and faced the following message 246 upgraded, 0 newly installed, 0 to remove and 3 not upgraded. Need to get 194 ...
1
vote
1answer
409 views

upgrade from 13.04 to 13.10 failed and broken dependencies

I tried running the upgrade from my Ubuntu 13.04 to 13.10 but it failed to upgrade a latex package with the error from [here] (Upgrading from 13.04 to 13.10 stops) and calmed to try to roll back. ...
0
votes
2answers
35 views

Retaining packages while upgrading

How can I retain installed package from a previous version of Ubuntu after upgrading that only the packages are retained and I don't have to download and install them again? or can I make a installer ...
0
votes
0answers
309 views

How can I resolve apt-get dependencies when partial upgrade failed?

I am unable to run the Update Manager. When I start it, I get the following pop-up box: Not all updates can be installed Run a partial upgrade, to install as many updates as possible. ...
0
votes
2answers
975 views

Can you help me fix my broken packages?

I would like to upgrade from 13.04 to 13.10, but some broken packages are preventing upgrade success: grep Broken /var/log/dist-upgrade/apt.log output: Broken libwayland-client0:amd64 Conflicts on ...
1
vote
1answer
89 views

how to downgrade whole system

I have broken and partial upgraded system, it was attempted to upgrade from 12.04 to 12.10 some how things did not went fine, and in next consecutive months I kept using this system. Later on when ...
0
votes
0answers
34 views

Tory systemd-undevd: failed to execute. I get this in a black screen every time I restartd

upgraded to the latest version of ubuntu and it told me to delete some packages after the install, but I kept them I don't know if that is what caused the problem, but every time I restart my computer ...
4
votes
2answers
4k views

Removing broken packages on distro update (13.04 to 13.10)

i'm kinda new to linux. last night i tried upgrading from 13.04 to 13.10 but i got the "could not calculate" error. i read this question and found this error in the main log: Dist-upgrade failed: ...
0
votes
0answers
14 views

Package missing in upgrade

The upgrade icon lit up on my Xubuntu 13.04 laptop this evening, with 11 packages to upgrade. Fine, except one of them, xserver-xephyr_1.13.3-0ubuntu6.2_i386.deb, doesn't exist in the repos. Is there ...
-2
votes
1answer
285 views

Broken packages in upgrade

I get this when trying to update Ubuntu 12.04 nobook@ubuntu:~$ apt-get dist-upgrade E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permission denied) E: No se encontró un ...
2
votes
1answer
310 views

list files not originating from packages

Many files are installed by packages on my file system. How could I list files that are not? Ie., user created, like compiling software manually, writing documents. Is there a way to list files ...
2
votes
1answer
55 views

How to upgrade Ubuntu without losing packages?

I'm currently running Ubuntu 10.something and I have some special packages installed for server tasks. I want to upgrade to Ubuntu 12 and I'm afraid that I'll lose these packages. So what will ...
3
votes
1answer
2k views

where is downloaded package files directory?

need to know where downloaded packages will be saved after updating ? i want to copy the folder of packages , and reinstall Linux and install the packages without downloading them again , so i need ...
1
vote
1answer
213 views

'E:The package libmagickcore4-extra needs to be reinstalled, but I can't find an archive for it.'

I was going to upgrade from 12.04 to 12.10 and skipped the update for libmagickcore4-extra, and some problem occurred, and the upgrade stopped. Now, whenever I try and open the Software update, I get ...
1
vote
0answers
131 views

Ubuntu dependency problems after `do-release-upgrade`

I recently performed do-release-upgrade, and it appears to have broken some of my packages. I can't properly apt-get autoremove or apt-get upgrade any more. $ sudo apt-get install -f ... Errors ...
1
vote
3answers
1k views

How to add Debian experimental repo to Ubuntu?

I would like to install cups-1.6.1-2 (link) from the experimental repository. I suppose I have to add something to /etc/apt/sources.list but I can't figure out what. Can anyone figure out (or know) ...
2
votes
1answer
2k views

Failed to fetch http://np.archive.ubuntu.com/ubuntu/pool/main/k/krb5/libkrb5-3_1.10+dfsg~beta1-2ubuntu0.3_i386.deb 403 Forbidden

I am using Ubuntu 12.04 32-bit with kernel 3.2.0-26-generic and GNOME 3.4.1. when I run the upgrade manager, I get the option for partial upgrade and details show: install (11) remove (1) upgrade ...
0
votes
1answer
35 views

Cant upgrade or get package manager to refresh

I used Ubuntu a long time ago and was ok with it. I went away from it because I needed a Windows computer to do work. Now that I have a second computer I back on it but now I'm relearning everything ...
0
votes
1answer
103 views

Having a Problem After Installing Mac-osx Theme and setting it up With Cairo dock

When i write sudo apt-get upgrade This message Shows Up:"dpkg: error: cannot scan updates directory `/var/lib/dpkg/updates/': No such file or directory E: Sub-process /usr/bin/dpkg returned an error ...
4
votes
1answer
2k views

I can't update, upgrade and remove my app from kubuntu

I have a problem upgrading software. I can't update, upgrade or remove my software. The notification of update manager signs 46 security packets and 83 other packets and when I click on it to install ...
1
vote
1answer
917 views

Disk drive for / not ready on boot after upgrade from 10.04 to 12.04

After upgrading (using the Upgrade button from the update manager) from 10.04.4 to 12.04.1, I cannot boot anymore. Upon booting, I am greeted with the Ubuntu logo and the error "The disk drive for / ...
2
votes
1answer
3k views

How to reinstall a apt-get dist-upgrade?

I already have the latest version of Ubuntu 12.04.1. I want to reinstall every package again (a dist-upgrade reinstall). How do i do that? sudo apt-get dist-upgrade only works one time. I want to ...
0
votes
1answer
282 views

How to upgrade nautilus to 3.4 on 11.04?

I'd like to upgrade Nautilus from 2.32.2.1 to 3.4 because I've encountered a problem which I cannot reproduce on Nautilus 3.4 (on Ubuntu 12.04). I guess there might be a bug in my current version. ...
2
votes
1answer
2k views

Do all updates, even kernel, take affect without rebooting

I use 11.04. When I upgrade a package, it shows a message similar to this : Unpacking replacement libkrb5support0 ... Preparing to replace libgssrpc4 1.8.3+dfsg-5ubuntu2.2 (using ...
4
votes
2answers
2k views

How do I generate a package download list?

I want to generate a package download list, which can be used to download those packages from another system. (I have a slow connection). I want to use those downloaded files to create a local ...
0
votes
2answers
8k views

Ubuntu hangs on booting up after a update

I've made a clean install yesterday, for the first time restarted, everything went good and then after I updated packages and copied my old home directory to replace the new one, when I restarted it ...
2
votes
2answers
11k views

Fixing broken myslq-server package after upgrade to 12.04

After upgrade to 12.04 mysql server was unable to start. I tried many different things but without any luck. Now when I try to install it, I get: $ sudo apt-get install mysql-server-5.5 Reading ...
0
votes
2answers
5k views

MySQL server stopped working after upgrade [duplicate]

Possible Duplicate: Fixing broken myslq-server package after upgrade to 12.04 I upgraded to 12.04 and my MySQL server just stopped working. It throws: ERROR 2002 (HY000): Can't connect to ...
3
votes
2answers
2k views

12.04 upgrade from 11.10 stuck at restoring previously installed packages

I am trying to upgrade from 11.10 to 12.04. The machine is acer aspire core i3, 2.1ghz, ram 6gb, hard disk 500 gigabyte. I am using a usb stick with a downloaded 12.04 live install. The install ...
2
votes
0answers
454 views

Freezes at splashscreen after apt-get upgrade [closed]

Hello dear askubuntu community! A few weeks ago i switched from Vista to Ubuntu and I'm very happy with that. But yesterday i upgraded my packages (for the first time) with "sudo apt-get upgrade" and ...
3
votes
2answers
1k views

Why am I unable to install,remove or upgrade packages?

When I wanna do anything with Synaptic or apt-get or stop,start,restart postgresql I receive following error Setting up postgresql-common (114) ... * Starting PostgreSQL 8.4 database server ...